GET /v1/brands

Service: commerce · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 Brand list

{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "slug": {
        "type": "string"
      },
      "name": {
        "type": "string"
      },
      "teaser_image_url": {
        "type": [
          "string",
          "null"
        ]
      },
      "sort_order": {
        "type": "number"
      },
      "product_count": {
        "type": "number"
      },
      "coming_soon": {
        "type": "boolean"
      },
      "created_at": {
        "type": "string"
      },
      "updated_at": {
        "type": "string"
      }
    },
    "required": [
      "slug",
      "name",
      "teaser_image_url",
      "sort_order",
      "product_count",
      "coming_soon",
      "created_at",
      "updated_at"
    ]
  }
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://commerce.platform.loop.health/v1/brands \
  -H "Authorization: Bearer $ACCESS_TOKEN"